<template>
  <div class="bg-[#11021B] rounded-lg text-white p-4 w-72 statistics-panel">
    <!-- Toggle Buttons -->
    <div class="flex space-x-2 mb-4">
      <button 
        v-for="tab in tabs" 
        :key="tab"
        @click="activeTab = tab"
        :class="[
          'px-3 py-1 rounded text-sm transition-colors',
          activeTab === tab ? 'bg-purple-600' : 'bg-[#1B0B2B] hover:bg-[#2B1B3B]'
        ]"
      >
        {{ tab }}
      </button>
    </div>

    <!-- Content Panels -->
    <div class="content-area">
      <!-- User Info Panel -->
      <div v-if="activeTab === 'User Info'" class="space-y-4">
        <div class="flex justify-between items-center">
          <span class="text-gray-400">Connected Address:</span>
          <span class="text-sm font-mono">{{ truncateAddress(userAddress) }}</span>
        </div>
        <div class="flex justify-between items-center">
          <span class="text-gray-400">Last Activity:</span>
          <span>{{ lastActivity }}</span>
        </div>
        <div class="flex justify-between items-center">
          <span class="text-gray-400">Role:</span>
          <span>{{ userRole }}</span>
        </div>
      </div>

      <!-- CDM Requests Panel -->
      <div v-if="activeTab === 'CDM Requests'" class="space-y-4">
        <div class="flex justify-between items-center">
          <span class="text-gray-400">Total Requests:</span>
          <span>{{ totalRequests }}</span>
        </div>
        <div class="flex justify-between items-center">
          <span class="text-gray-400">Today's Requests:</span>
          <span>{{ todayRequests }}</span>
        </div>
        <div class="flex justify-between items-center">
          <span class="text-gray-400">Success Rate:</span>
          <span class="text-green-500">{{ successRate }}%</span>
        </div>
      </div>

      <!-- Statistics Panel -->
      <div v-if="activeTab === 'Statistics'" class="space-y-4">
        <div class="flex justify-between items-center">
          <span class="text-gray-400">Active Satellites:</span>
          <span>{{ activeSatellites }}</span>
        </div>
        <div class="flex justify-between items-center">
          <span class="text-gray-400">High Risk Events:</span>
          <span class="text-red-500">{{ highRiskEvents }}</span>
        </div>
        <div class="flex justify-between items-center">
          <span class="text-gray-400">Response Time:</span>
          <span>{{ avgResponseTime }}ms</span>
        </div>
      </div>
    </div>
  </div>
</template>

<script setup lang="ts">
import { ref, onMounted } from 'vue'

const tabs = ['User Info', 'CDM Requests', 'Statistics']
const activeTab = ref('User Info')

// Mock data - replace with real data from your backend
const userAddress = ref('0x1234567890abcdef1234567890abcdef12345678')
const lastActivity = ref('2 minutes ago')
const userRole = ref('Operator')
const totalRequests = ref(1247)
const todayRequests = ref(23)
const successRate = ref(99.7)
const activeSatellites = ref(156)
const highRiskEvents = ref(3)
const avgResponseTime = ref(245)

const truncateAddress = (address: string) => {
  return `${address.slice(0, 6)}...${address.slice(-4)}`
}

onMounted(() => {
  // Initialize with real data from your backend
})
</script>

<style scoped>
.statistics-panel {
  position: fixed;
  left: 20px;
  top: 100px;
  z-index: 50;
}

.content-area {
  min-height: 150px;
}
</style>
